org.apache.pdfbox.pdmodel.common

## Class PDPageLabelRange

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDPageLabelRange

All Implemented Interfaces:
  COSObjectable

    public class PDPageLabelRange
    extends Object
    implements COSObjectable

Contains information for a page label range.

Author:
  Igor Podolskiy
See Also:
  `PDPageLabels`

### Field Summary

Fields
`static String` `STYLE_DECIMAL` Decimal page numbering style (1, 2, 3, ...).
`static String` `STYLE_LETTERS_LOWER` Letter (lower case) numbering style (a, b, ..., z, aa, bb, ..., zz, aaa, ...).
`static String` `STYLE_LETTERS_UPPER` Letter (upper case) numbering style (A, B, ..., Z, AA, BB, ..., ZZ, AAA, ...).
`static String` `STYLE_ROMAN_LOWER` Roman numbers (lower case) numbering style (i, ii, iii, iv, ...).
`static String` `STYLE_ROMAN_UPPER` Roman numbers (upper case) numbering style (I, II, III, IV, ...).

### Constructor Summary

Constructors
Constructor and Description
`PDPageLabelRange()` Creates a new empty page label range object.
`PDPageLabelRange(COSDictionary dict)` Creates a new page label range object from the given dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Returns the underlying dictionary.
`String` `getPrefix()` Returns the page label prefix for this page range.
`int` `getStart()` Returns the start value for page numbering in this page range.
`String` `getStyle()` Returns the numbering style for this page range.
`void` `setPrefix(String prefix)` Sets the page label prefix for this page range.
`void` `setStart(int start)` Sets the start value for page numbering in this page range.
`void` `setStyle(String style)` Sets the numbering style for this page range.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_DECIMAL

    public static final String STYLE_DECIMAL

Decimal page numbering style (1, 2, 3, ...).

See Also:
  Constant Field Values

#### STYLE_ROMAN_UPPER

    public static final String STYLE_ROMAN_UPPER

Roman numbers (upper case) numbering style (I, II, III, IV, ...).

See Also:
  Constant Field Values

#### STYLE_ROMAN_LOWER

    public static final String STYLE_ROMAN_LOWER

Roman numbers (lower case) numbering style (i, ii, iii, iv, ...).

See Also:
  Constant Field Values

#### STYLE_LETTERS_UPPER

    public static final String STYLE_LETTERS_UPPER

Letter (upper case) numbering style (A, B, ..., Z, AA, BB, ..., ZZ, AAA, ...).

See Also:
  Constant Field Values

#### STYLE_LETTERS_LOWER

    public static final String STYLE_LETTERS_LOWER

Letter (lower case) numbering style (a, b, ..., z, aa, bb, ..., zz, aaa, ...).

See Also:
  Constant Field Values

### Constructor Detail

#### PDPageLabelRange

    public PDPageLabelRange()

Creates a new empty page label range object.

#### PDPageLabelRange

    public PDPageLabelRange(COSDictionary dict)

Creates a new page label range object from the given dictionary.

Parameters:
  `dict` - the base dictionary for the new object.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Returns the underlying dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the underlying dictionary.

#### getStyle

    public String getStyle()

Returns the numbering style for this page range.

Returns:
  one of the STYLE_* constants

#### setStyle

    public void setStyle(String style)

Sets the numbering style for this page range.

Parameters:
  `style` - one of the STYLE_* constants or `null` if no page numbering is desired.

#### getStart

    public int getStart()

Returns the start value for page numbering in this page range.

Returns:
  a positive integer the start value for numbering.

#### setStart

    public void setStart(int start)

Sets the start value for page numbering in this page range.

Parameters:
  `start` - a positive integer representing the start value.
Throws:
  `IllegalArgumentException` - if `start` is not a positive integer

#### getPrefix

    public String getPrefix()

Returns the page label prefix for this page range.

Returns:
  the page label prefix for this page range, or `null` if no prefix has been defined.

#### setPrefix

    public void setPrefix(String prefix)

Sets the page label prefix for this page range.

Parameters:
  `prefix` - the page label prefix for this page range, or `null` to unset the prefix.